Bug 1773626 - Regex validation not working when using dialogs
Summary: Regex validation not working when using dialogs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.8
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.13
Assignee: Martin Hradil
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1769960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 15:09 UTC by Satoe Imaishi
Modified: 2020-01-06 14:36 UTC (History)
7 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1769960
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:47 UTC

Comment 3 CFME Bot 2019-11-18 15:13:00 UTC
New commit detected on ManageIQ/ui-components/hammer:

https://github.com/ManageIQ/ui-components/commit/072a6946f36ced3c6b8620179ca113624210464d
commit 072a6946f36ced3c6b8620179ca113624210464d
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 18 10:04:23 2019 -0500
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Nov 18 10:04:23 2019 -0500

    Merge pull request #428 from himdel/bz1769960

    DialogUser - update validator_type during field refresh

    (cherry picked from commit e142ea34618eac221d4b139177b3853024a44f6b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1773626

 src/dialog-user/components/dialog-user/dialogUser.spec.ts | 8 +-
 src/dialog-user/components/dialog-user/dialogUser.ts | 1 +
 2 files changed, 7 insertions(+), 2 deletions(-)

Comment 6 CFME Bot 2019-11-18 15:33:14 UTC
New commit detected on ManageIQ/manageiq-ui-service/hammer:

https://github.com/ManageIQ/manageiq-ui-service/commit/53aa871d6fecf09620a58be07c9b230000994d8b
commit 53aa871d6fecf09620a58be07c9b230000994d8b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 18 10:17:11 2019 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 18 10:17:11 2019 -0500

    Update ui-components to 1.1.36 for hammer

    v1.1.36
        ManageIQ/ui-components#428

        https://bugzilla.redhat.com/show_bug.cgi?id=1773626

    v1.1.35
        ManageIQ/ui-components#422

        https://bugzilla.redhat.com/show_bug.cgi?id=1768457

    v1.1.34
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414

        https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Comment 7 CFME Bot 2019-11-18 16:31:26 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f5b061d994be8d4965d9f69aeaddea0a963f3946
commit f5b061d994be8d4965d9f69aeaddea0a963f3946
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 18 10:16:15 2019 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 18 10:16:15 2019 -0500

    Update ui-components to 1.1.36 for hammer

    v1.1.36
        ManageIQ/ui-components#428

        https://bugzilla.redhat.com/show_bug.cgi?id=1773626

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Comment 10 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047

Comment 11 CFME Bot 2020-01-06 14:35:57 UTC
New commit detected on ManageIQ/manageiq-ui-service/hammer:

https://github.com/ManageIQ/manageiq-ui-service/commit/f9907e1d4a1053791846797005d2395b55263ce2
commit f9907e1d4a1053791846797005d2395b55263ce2
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Jan  6 08:07:51 2020 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Jan  6 08:07:51 2020 -0500

    Update ui-components to 1.1.37 for hammer

    v1.1.37
        ManageIQ/ui-components#430

        https://bugzilla.redhat.com/show_bug.cgi?id=1783377

    v1.1.36
        ManageIQ/ui-components#428

        https://bugzilla.redhat.com/show_bug.cgi?id=1773626

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Comment 12 CFME Bot 2020-01-06 14:36:08 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/716d3ed5ff6c56d5a0a6a3c88319cb8cbae77ddd
commit 716d3ed5ff6c56d5a0a6a3c88319cb8cbae77ddd
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Jan  6 08:07:43 2020 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Jan  6 08:07:43 2020 -0500

    Update ui-components to 1.1.37 for hammer

    v1.1.37
        ManageIQ/ui-components#430

        https://bugzilla.redhat.com/show_bug.cgi?id=1783377

    v1.1.36
        ManageIQ/ui-components#428

        https://bugzilla.redhat.com/show_bug.cgi?id=1773626

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.